summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorUniversebenzene2022-02-27 20:10:41 +0800
committerUniversebenzene2022-02-27 20:10:41 +0800
commit6dcfe4f48a9d9449fd5c86632cf4991c24d5b6e1 (patch)
tree9abaa12a475765ed0d82f61025bc4fadcc98fa3e
parent5fe11cdcd3affb6a911f6a20624e41db5fcb9a8c (diff)
downloadaur-6dcfe4f48a9d9449fd5c86632cf4991c24d5b6e1.tar.gz
Update to version 1.15.2
-rw-r--r--.SRCINFO12
-rw-r--r--PKGBUILD16
2 files changed, 17 insertions, 11 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 08323dcac85..ef6a4d13401 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = python-healpy
pkgdesc = Python package to manipulate healpix maps
- pkgver = 1.15.1
- pkgrel = 2
+ pkgver = 1.15.2
+ pkgrel = 1
url = http://healpy.readthedocs.io
arch = i686
arch = x86_64
@@ -10,6 +10,10 @@ pkgbase = python-healpy
checkdepends = python-pytest-doctestplus
checkdepends = python-requests
makedepends = cython
+ makedepends = python-wheel
+ makedepends = python-build
+ makedepends = python-installer
+ makedepends = python-oldest-supported-numpy
depends = python>=3.7
depends = python-numpy>=1.13
depends = python-scipy
@@ -18,7 +22,7 @@ pkgbase = python-healpy
depends = cfitsio
depends = healpix>=3.80
optdepends = python-healpy-doc: Documentation for healpy
- source = https://files.pythonhosted.org/packages/source/h/healpy/healpy-1.15.1.tar.gz
- md5sums = d677ca493bd7694850028ce559443e9e
+ source = https://files.pythonhosted.org/packages/source/h/healpy/healpy-1.15.2.tar.gz
+ md5sums = e9518a20effe71de73c7195ce023e76e
pkgname = python-healpy
diff --git a/PKGBUILD b/PKGBUILD
index 9545d697ac9..6efa95b9cb9 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,18 +1,18 @@
# Maintainer: Astro Benzene <universebenzene at sina dot com>
pkgname=python-healpy
_pyname=${pkgname#python-}
-pkgver=1.15.1
-pkgrel=2
+pkgver=1.15.2
+pkgrel=1
pkgdesc="Python package to manipulate healpix maps"
arch=('i686' 'x86_64')
url="http://healpy.readthedocs.io"
license=('GPL')
depends=('python>=3.7' 'python-numpy>=1.13' 'python-scipy' 'python-matplotlib' 'python-astropy' 'cfitsio' 'healpix>=3.80')
-makedepends=('cython')
+makedepends=('cython' 'python-wheel' 'python-build' 'python-installer' 'python-oldest-supported-numpy')
optdepends=('python-healpy-doc: Documentation for healpy')
checkdepends=('python-pytest-cython' 'python-pytest-doctestplus' 'python-requests')
source=("https://files.pythonhosted.org/packages/source/h/healpy/healpy-${pkgver}.tar.gz")
-md5sums=('d677ca493bd7694850028ce559443e9e')
+md5sums=('e9518a20effe71de73c7195ce023e76e')
prepare() {
export _pyver=$(python -c 'import sys; print("%d.%d" % sys.version_info[:2])')
@@ -21,18 +21,20 @@ prepare() {
build() {
cd ${srcdir}/${_pyname}-${pkgver}
- python setup.py build
+ python -m build --wheel --no-isolation
}
check() {
cd ${srcdir}/${_pyname}-${pkgver}
- pytest "build/lib.linux-${CARCH}-${_pyver}" || warning "Tests failed"
+ # skip tests that cost lots of time
+ pytest "build/lib.linux-${CARCH}-${_pyver}" \
+ --deselect=build/lib.linux-x86_64-3.10/healpy/test/test_pixelweights.py::test_pixelweights_local_datapath || warning "Tests failed"
}
package() {
cd ${srcdir}/healpy-${pkgver}
install -D -m644 README.rst -t "${pkgdir}/usr/share/doc/${pkgname}"
- python setup.py install --root=${pkgdir} --prefix=/usr --optimize=1
+ python -m installer --destdir="${pkgdir}" dist/*.whl
}